Will IDEA 4.0 supports all features of JDK 1.5?

Now, it supports generics only. The editor highlights boxing/unboxing, foreach and varargs instructions as they are errors. But compilation dones successful. Will this features be included in the future?

3 comments

Dmitry wrote:

Now, it supports generics only. The editor highlights boxing/unboxing,
foreach and varargs instructions as they are errors. But compilation dones
successful. Will this features be included in the future?

Yes, but not in 4.0

Friendly,
Dmitry
--
Dmitry Lomov
Software Developer
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

0

Is this planned for a minor release of 4.0 or do we have to upgrade again?

We only need fundamental support of jdk 1.5, we want to use all features of 1.5 without getting red markers.
(this is the main reason to upgrade to intellij 4)

0

Most probably there will be the minor release that particulary will support
jdk 1.5 and there will be free upgrade to it from IDEA 4.0
But these plans are not fixed yet and will be fixed just after the release
of 4.0

Best regards,
Sergey Dmitriev
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"


"Jan Moennich" <jmintellij@newtron.net> wrote in message
news:26307639.1075644874152.JavaMail.itn@is.intellij.net...

Is this planned for a minor release of 4.0 or do we have to upgrade again?

>

We only need fundamental support of jdk 1.5, we want to use all features

of 1.5 without getting red markers.

(this is the main reason to upgrade to intellij 4)



0

Please sign in to leave a comment.